运行分析器 (V2)
This operation runs an analyzer on the provided text and returns the tokenization result.
POST/v2/vectordb/common/run_analyzer
该 API 的 Base URL 格式如下:
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
📘说明
- 如果您使用的是服务集群,请使用集群端点。
Free 与 Serverless 版
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated 版
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- 你需要填入您的 Zilliz Cloud 集群的
${CLUSTER_ENDPOINT}。 - 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
参数
Authorizationstringheaderrequired
认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。
示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring
数据库名称。
textarrayrequired
待分析的文本字符串列表。
[]textstring
(待补充)
analyzerParamsstring
以 JSON 字符串形式表示的分析器参数。
withDetailboolean
是否返回详细的词元信息。
withHashboolean
是否在结果中包含哈希值。
collectionNamestring
使用其字段分析器的 Collection 名称。
fieldNamestring
使用其分析器的字段名称。
analyzerNamesarray
待使用的分析器名称列表。
[]analyzerNamesstring
(待补充)
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/common/run_analyzer" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"text": [
"Hello world"
],
"analyzerParams": "{\"type\": \"standard\"}",
"withDetail": false
}'
响应200 - application/json
codeinteger
(待补充)
dataarray
[]dataobject
tokensarray
[]tokensstring
(待补充)
返回错误消息。
codeinteger
响应码。
messagestring
错误描述。
{
"code": 0,
"data": [
{
"tokens": [
"hello",
"world"
]
}
]
}